org.keycloak.dom.saml.v2.assertion

## Class AuthnContextType

- java.lang.Object
- - org.keycloak.dom.saml.v2.assertion.AuthnContextType

- All Implemented Interfaces:
    Serializable

      public class AuthnContextType
      extends Object
      implements Serializable

  Java class for AuthnContextType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AuthnContextType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice>
                 <sequence>
                   <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthnContextClassRef"/>
                   <choice minOccurs="0">
                     <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthnContextDecl"/>
                     <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthnContextDeclRef"/>
                   </choice>
                 </sequence>
                 <choice>
                   <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthnContextDecl"/>
                   <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthnContextDeclRef"/>
                 </choice>
               </choice>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthenticatingAuthority" maxOccurs="unbounded"
       minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AuthnContextType.AuthnContextTypeSequence`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthnContextType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAuthenticatingAuthority(URI aa)` Add an authenticating authority
    `void` | `addAuthenticatingAuthority(URI[] aas)` Add Authenticating Authority
    `void` | `addURIType(URIType aa)` Add an URI type
    `void` | `addURIType(URIType[] aas)` Add an array of URI Type
    `Set<URI>` | `getAuthenticatingAuthority()` Get a read only set of authenticating authority
    `AuthnContextType.AuthnContextTypeSequence` | `getSequence()` Get the sequence
    `Set<URIType>` | `getURIType()` Get a read only set of URI type
    `void` | `removeAuthenticatingAuthority(URI aa)` Remove an authenticating authority
    `void` | `removeURIType(URIType aa)` Add an URI type
    `void` | `setSequence(AuthnContextType.AuthnContextTypeSequence sequence)` Set the authn context sequence

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthnContextType

          public AuthnContextType()

  - ### Method Detail

    - #### addAuthenticatingAuthority

          public void addAuthenticatingAuthority(URI aa)

      Add an authenticating authority
      Parameters:
        `aa` - `URI`

    - #### addAuthenticatingAuthority

          public void addAuthenticatingAuthority(URI[] aas)

      Add Authenticating Authority
      Parameters:
        `aas` - an array of `URI`

    - #### removeAuthenticatingAuthority

          public void removeAuthenticatingAuthority(URI aa)

      Remove an authenticating authority
      Parameters:
        `aa` -

    - #### getAuthenticatingAuthority

          public Set<URI> getAuthenticatingAuthority()

      Get a read only set of authenticating authority
      Returns:

    - #### getSequence

          public AuthnContextType.AuthnContextTypeSequence getSequence()

      Get the sequence
      Returns:

    - #### setSequence

          public void setSequence(AuthnContextType.AuthnContextTypeSequence sequence)

      Set the authn context sequence
      Parameters:
        `sequence` -

    - #### addURIType

          public void addURIType(URIType aa)

      Add an URI type
      Parameters:
        `aa` -

    - #### addURIType

          public void addURIType(URIType[] aas)

      Add an array of URI Type
      Parameters:
        `aas` -

    - #### getURIType

          public Set<URIType> getURIType()

      Get a read only set of URI type
      Returns:

    - #### removeURIType

          public void removeURIType(URIType aa)

      Add an URI type
      Parameters:
        `aa` -

Copyright © 2020 JBoss by Red Hat. All rights reserved.